
local module = _G["BlinkHealthTextModule"]

if select(2, UnitClass("player")) ~= "PALADIN" or not module then return end

--[[NYI]]

--module.config = {}
--
--function module:init()
--	self.addon.mainFrame:RegisterEvent("LEARNED_SPELL_IN_TAB")
--	self.addon.mainFrame:RegisterEvent("CHARACTER_POINTS_CHANGED")
--	self:update()
--end
--
--function module:update()
--	local talentrank = 0
--	for auraName, t in pairs(self.config) do
--		_, _, _, _, talentrank = GetTalentInfo(t[1], t[2])
--		self.config[auraName][3] = false
--		if talentrank > 0 then
--			self.config[auraName][3] = true
--			if t[4] and self.addon and self.addon.mainFrame then
--				self.addon.mainFrame:RegisterEvent(t[4])
--			end
--		end
--	end
--end
--
--function module:LEARNED_SPELL_IN_TAB(...)
--	self:update()
--end
--module.CHARACTER_POINTS_CHANGED = module.LEARNED_SPELL_IN_TAB